curl -X PUT "https://api.linkedcamp.com/leads/60f7a1b2c3d4e5f6a7b8c9d0?status=PAUSE" \
-H "token: YOUR_API_TOKEN"
import requests
response = requests.put(
"https://api.linkedcamp.com/leads/60f7a1b2c3d4e5f6a7b8c9d0",
headers={"token": "YOUR_API_TOKEN"},
params={"status": "PAUSE"},
)
print(response.json())
const response = await fetch(
"https://api.linkedcamp.com/leads/60f7a1b2c3d4e5f6a7b8c9d0?status=PAUSE",
{
method: "PUT",
headers: { "token": "YOUR_API_TOKEN" },
}
);
const data = await response.json();
console.log(data);
{
"success": true,
"message": "Lead PAUSE successfully"
}
{
"success": false,
"message": "Lead id is required!"
}
Leads
Update Lead Status
Pause, resume, or delete a lead in a campaign.
PUT
/
leads
/
{leadId}
curl -X PUT "https://api.linkedcamp.com/leads/60f7a1b2c3d4e5f6a7b8c9d0?status=PAUSE" \
-H "token: YOUR_API_TOKEN"
import requests
response = requests.put(
"https://api.linkedcamp.com/leads/60f7a1b2c3d4e5f6a7b8c9d0",
headers={"token": "YOUR_API_TOKEN"},
params={"status": "PAUSE"},
)
print(response.json())
const response = await fetch(
"https://api.linkedcamp.com/leads/60f7a1b2c3d4e5f6a7b8c9d0?status=PAUSE",
{
method: "PUT",
headers: { "token": "YOUR_API_TOKEN" },
}
);
const data = await response.json();
console.log(data);
{
"success": true,
"message": "Lead PAUSE successfully"
}
{
"success": false,
"message": "Lead id is required!"
}
Headers
string
required
Your LinkedCamp API token.
Path Parameters
string
required
The ID of the lead.
Query Parameters
string
required
The action to perform on the lead.Available values:
PAUSE- Pause outreach to this leadRESUME- Resume outreach to this leadDELETED- Soft-delete the lead from the campaign
Response
boolean
Whether the request was successful.
string
A human-readable result message.
curl -X PUT "https://api.linkedcamp.com/leads/60f7a1b2c3d4e5f6a7b8c9d0?status=PAUSE" \
-H "token: YOUR_API_TOKEN"
import requests
response = requests.put(
"https://api.linkedcamp.com/leads/60f7a1b2c3d4e5f6a7b8c9d0",
headers={"token": "YOUR_API_TOKEN"},
params={"status": "PAUSE"},
)
print(response.json())
const response = await fetch(
"https://api.linkedcamp.com/leads/60f7a1b2c3d4e5f6a7b8c9d0?status=PAUSE",
{
method: "PUT",
headers: { "token": "YOUR_API_TOKEN" },
}
);
const data = await response.json();
console.log(data);
{
"success": true,
"message": "Lead PAUSE successfully"
}
{
"success": false,
"message": "Lead id is required!"
}
